Bug 206657 - Satellite-debug grabs symlinks to monitoring logs instead of the actual logs
Satellite-debug grabs symlinks to monitoring logs instead of the actual logs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Preethi Thomas
: Triaged
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2006-09-15 11:39 EDT by Justin Sherrill
Modified: 2009-09-10 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:20:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2006-09-15 11:39:27 EDT
Description of problem:


Version-Release number of selected component (if applicable):
rhns-satellite-tools-4.1.0-89.rhel4


How reproducible:
always

Steps to Reproduce:
1. Run satellite-debug
2. extract resulting tarball

  
Actual results:
Monitoring logs in ./mon-logs are symlinks to /var/log/nocpulse

Expected results:
Monitoring logs in ./mon-logs should be actual files.

Additional info:
Comment 1 Justin Sherrill 2009-03-16 11:13:00 EDT
Looks like Miroslav fixed this problem back in February.  98596fc..5533b2c
Comment 2 Preethi Thomas 2009-04-15 13:39:10 EDT
verified
Satellite-5.3.0-RHEL4-re20090414.0-i386-embedded-oracle.iso

[root@fjs-0-20 tmp]# tar -xjf spacewalk-debug.tar.bz2 
[root@fjs-0-20 tmp]# ls
alias-root.log  ks-script.log  rhn_rpms  spacewalk-debug          test
fix-promise.sh  modules.conf   settings  spacewalk-debug.tar.bz2
[root@fjs-0-20 tmp]# cd spacewalk-debug
[root@fjs-0-20 spacewalk-debug]# ls
conf                     diskinfo            mon-logs            ssl-build
database                 entitlement-report  rhn-logs            timestamp
database-character-sets  httpd-logs          rpm-manifest        tomcat-logs
database-schema-version  jabberd             rpm-manifest-clean
[root@fjs-0-20 spacewalk-debug]# cd mon-logs/
[root@fjs-0-20 mon-logs]# ls
ack_handler.log                kernel.log
AckProcessor-error.log         NotifEscalator-error.log
dequeue.log                    notif-escalator.log
Dequeuer-errors.log            Notifier-error.log
enqueue.log                    notifier.log
execute_commands.log           NotifLauncher-error.log
generate_config.log            notif-launcher.log
GenerateNotifConfig-error.log  SputLite-errors.log
kernel-error.log               TSDBLocalQueue-errors.log
[root@fjs-0-20 mon-logs]#
Comment 3 wes hayutin 2009-08-13 09:27:23 EDT
[root@dhcp77-153 mon-logs]# pwd
/tmp/wes/spacewalk-debug/mon-logs
[root@dhcp77-153 mon-logs]# ls -la
total 276
drwxr-xr-x  2 root     root      4096 Aug 13 09:09 .
drwx------ 14 root     root      4096 Aug 13 09:11 ..
-rw-r--r--  1 nocpulse nocpulse   436 Aug 13 09:09 ack_handler.log
-rw-r--r--  1 nocpulse nocpulse   360 Aug  9 04:02 ack_handler.log.1.gz
-rw-r--r--  1 root     root      9539 Aug 13 09:08 AckProcessor-error.log
-rw-r--r--  1 nocpulse nocpulse 12084 Aug 13 09:09 dequeue.log
-rw-r--r--  1 nocpulse nocpulse  2168 Aug  9 04:02 dequeue.log.1.gz
-rw-r--r--  1 root     root         0 Aug  4 11:59 Dequeuer-errors.log
-rw-r--r--  1 apache   apache    6100 Aug 13 09:08 enqueue.log
-rw-r--r--  1 apache   apache    1060 Aug  9 04:02 enqueue.log.1.gz
-rw-r--r--  1 root     root      3915 Aug 13 09:09 execute_commands.log
-rw-r--r--  1 root     root      2399 Aug  9 04:02 execute_commands.log.1.gz
-rw-r--r--  1 nocpulse nocpulse  1666 Aug 13 09:09 generate_config.log
-rw-r--r--  1 nocpulse nocpulse   678 Aug  9 04:02 generate_config.log.1.gz
-rw-r--r--  1 root     root      2359 Aug 13 09:09 GenerateNotifConfig-error.log
-rw-r--r--  1 root     root      1056 Aug  9 04:02 GenerateNotifConfig-error.log.1.gz
-rw-r--r--  1 root     root       252 Aug 13 09:08 kernel-error.log
-rw-r--r--  1 root     root       180 Aug  9 04:02 kernel-error.log.1.gz
-rw-r--r--  1 nocpulse nocpulse  1626 Aug 13 09:09 kernel.log
-rw-r--r--  1 nocpulse nocpulse  1079 Aug  9 04:02 kernel.log.1.gz
-rw-r--r--  1 root     root         0 Aug  4 12:00 NotifEscalator-error.log
-rw-rw-r--  1 nocpulse nocpulse  1278 Aug 13 09:09 notif-escalator.log
-rw-rw-r--  1 nocpulse nocpulse   515 Aug  9 04:02 notif-escalator.log.1.gz
-rw-r--r--  1 root     root      3579 Aug 13 09:08 Notifier-error.log
-rw-r--r--  1 root     root       701 Aug  9 04:02 Notifier-error.log.1.gz
-rw-rw-r--  1 nocpulse nocpulse   671 Aug 13 09:09 notifier.log
-rw-rw-r--  1 nocpulse nocpulse   365 Aug  9 04:02 notifier.log.1.gz
-rw-r--r--  1 root     root         0 Aug  9 04:02 NotifLauncher-error.log
-rw-r--r--  1 root     root       157 Aug  9 04:02 NotifLauncher-error.log.1.gz
-rw-rw-r--  1 nocpulse nocpulse  2407 Aug 13 09:09 notif-launcher.log
-rw-rw-r--  1 nocpulse nocpulse   864 Aug  9 04:02 notif-launcher.log.1.gz
-rw-r--r--  1 root     root         0 Aug  4 11:59 SputLite-errors.log
-rw-r--r--  1 root     root       148 Aug 13 09:08 TSDBLocalQueue-errors.log
-rw-r--r--  1 root     root       124 Aug  9 04:02 TSDBLocalQueue-errors.log.1.gz
Comment 4 Brandon Perkins 2009-09-10 16:20:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.